import 'package:fis_ui/index.dart';
import 'package:fis_ui/values/font_sizes.dart';
import 'package:flutter/material.dart';

import 'breathing_light_no_animate.dart';

/// 设备在线标志
class DeviceOnlineSign extends FStatelessWidget {
  const DeviceOnlineSign({super.key});

  @override
  FWidget build(BuildContext context) {
    final primaryColor = Theme.of(context).primaryColor;
    return FRow(
      mainAxisSize: MainAxisSize.min,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        FContainer(
          alignment: Alignment.center,
          decoration: BoxDecoration(
            border: Border.all(color: primaryColor),
            borderRadius: BorderRadius.circular(10),
          ),
          height: FFontSizes.BODY,
          padding: const EdgeInsets.symmetric(horizontal: 4),
          child: FCenter(
            child: FText(
              "L I V E",
              style: TextStyle(
                color: primaryColor,
                fontSize: FFontSizes.BODY - 4,
                height: 1.1, // 解决文字不居中
              ),
            ),
          ),
        ),
        const FSizedBox(width: 2),
        const BreathingLightWithoutAnimate(size: 12),
        // const CircleBreathingLight(size: 12),
        // FContainer(
        //   width: 12,
        //   height: 12,
        //   decoration: BoxDecoration(
        //     shape: BoxShape.circle,
        //     color: Colors.green,
        //   ),
        // ),
      ],
    );
  }
}
